﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;

namespace API.Tests
{
    class StubEmailService : IEmailService
    {
        public void SendInsertNotification(Bug b)
        {
            EmailsSent++;
        }

        public int EmailsSent { get; set; }
    }

    [TestFixture]
    public class StubEmailServiceTests
    {
        [Test]
        public void SendInsertNotification_BugObject_IncreasesSentCount()
        {
            StubEmailService email = new StubEmailService();
            email.SendInsertNotification(new Bug());
            Assert.AreEqual(1, email.EmailsSent);
        }
    }
}
