﻿using System.Collections.Generic;
using System.Linq;

namespace API
{
    public class BugController
    {
        private Repository Repository;
        public IEmailService EmailService { get; set; }

        public BugController(IEmailService emailService)
        {
            Repository = new Repository();

            EmailService = emailService;
        }

        public Bug GetBugByID(int id)
        {
            return Repository.Single(b => b.ID == id);
        }

        public bool InsertBug(Bug b)
        {
            Repository.InsertBug(b);
            if(Repository.Contains(b))
            {
                //EmailService.SendInsertNotification(b);
                return true;
            }

            return false;
        }

        public List<Bug> GetAllActiveBugs()
        {
            return Repository.Where(b => b.IsActive).ToList();
        }
    }
}
