﻿using System.Collections.Generic;
using System.Linq;

namespace API_WithLinq
{
    public class BugController
    {
        private IRepository repository;
        public IEmailService EmailService { get; set; }

        public BugController(IRepository repository, IEmailService emailService)
        {
            this.repository = repository;

            EmailService = emailService;
        }

        public Bug GetBugByID(int id)
        {
            return repository.Single(b => b.ID == id);
        }

        public bool InsertBug(Bug b)
        {
            repository.InsertBug(b);
            if(repository.Contains(b))
            {
                EmailService.SendInsertNotification(b);
                return true;
            }

            return false;
        }

        public List<Bug> GetAllActiveBugs()
        {
            return repository.Where(b => b.IsActive).ToList();
        }
    }
}